package com.luticate.utils;

import com.luticate.utils.dbo.LuDbo;

import org.junit.Test;

import static org.junit.Assert.*;

/**
 * Created by robin on 10/20/16.
 */

public class NameDboTest {

    @Test
    public void jsonFromFieldTest()
    {
        assertEquals("byte", LuDbo.getJsonFromField("_byte"));
        assertEquals("anotherVariable", LuDbo.getJsonFromField("_anotherVariable"));
        assertEquals("byte", LuDbo.getJsonFromField("byte"));
        assertEquals("anotherVariable", LuDbo.getJsonFromField("anotherVariable"));
    }

    @Test
    public void fieldFromJsonTest()
    {
        assertEquals("_byte", LuDbo.getFieldFromJson("byte"));
        assertEquals("_anotherVariable", LuDbo.getFieldFromJson("anotherVariable"));
        assertEquals("_byte", LuDbo.getFieldFromJson("_byte"));
        assertEquals("_anotherVariable", LuDbo.getFieldFromJson("_anotherVariable"));
    }
}
